package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 86187
 * @ Description: 返佣表实体类
 * @ Author     : 86187
 * @ Date       : 2021/2/22 11:05
 */
@Data
@ApiModel("Rebate")
public class Rebate implements Serializable {
    /**
     * 返佣id
     */
    @ApiModelProperty(name = "id", value = "返佣id")
    private Integer id;

    /**
     * 用户会员等级 0:普通用户 1：幼苗 2：青铜树 3：白银树 4：黄金树 5：农场主 6：森林之星 7:西田森合伙人
     */
    @ApiModelProperty(name = "userLevel", value = "用户会员等级")
    private Integer userLevel;

    /**
     * 等级对应的返佣比例
     */
    @ApiModelProperty(name = "", value = "")
    private BigDecimal percent;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "", value = "")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(name = "", value = "")
    private Date updateTime;
}
